class InputHelper {
  static final RegExp _emailRegex = RegExp(
      r"^[a-zA-Z0-9.a-zA-Z0-9.!#$%&'*+-/=?^_`{|}~]+@[a-zA-Z0-9]+\.[a-zA-Z]+");

  static final RegExp _numberRegex =
      new RegExp(r'^(?=\D*(?:\d\D*){1,12}$)\d+(?:\.\d{1,4})?$');

  static bool isBlank(var value) {
    return value == null || value.isEmpty;
  }

  static bool validateEmail(String email) {
    return _emailRegex.hasMatch(email);
  }

  static bool validateDecimal(String value) {
    return _numberRegex.hasMatch(value);
  }

  static String validateMessage(String label, String value) =>
      isBlank(value) ? "Please enter your ${label.toLowerCase()}" : null;
}
