import 'package:flutter/material.dart';

class CirclesStack extends StatelessWidget {
  final List<String> avatars;
  final double borderRadius;
  final double spacing;

  const CirclesStack(
      {Key key, this.avatars, this.borderRadius = 13, this.spacing = 7})
      : super(key: key);
  @override
  Widget build(BuildContext context) {
    return avatars.length == 0
        ? Container()
        : SizedBox(
            width: spacing * avatars.length + (borderRadius * 2),
            height: (borderRadius + 2) * 2,
            child: Stack(
              children: avatars
                  .asMap()
                  .keys
                  .map((index) => Positioned(
                        left: index * (spacing),
                        child: Container(
                          decoration: BoxDecoration(
                              color: Colors.white, shape: BoxShape.circle),
                          padding: EdgeInsets.all(2),
                          child: CircleAvatar(
                            backgroundImage: NetworkImage(avatars[index]),
                            radius: borderRadius - 1,
                          ),
                        ),
                      ))
                  .toList(),
            ),
          );
  }
}
