import 'package:flutter/material.dart';

class AppErrorWidget extends StatelessWidget {
  final String error;
  final Function() onRefresh;

  const AppErrorWidget({Key key, @required this.error, this.onRefresh})
      : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Center(
      child: SizedBox(
        width: MediaQuery.of(context).size.width / 2,
        child: Column(
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            Text(
              "$error\nPlease try again.",
              style: TextStyle(fontSize: 17, fontWeight: FontWeight.w500),
              textAlign: TextAlign.center,
            ),
            SizedBox(
              height: 12,
            ),
            onRefresh == null
                ? Container()
                : InkWell(
                    onTap: onRefresh,
                    child: Container(
                      decoration: BoxDecoration(
                          shape: BoxShape.circle, color: Colors.black),
                      padding: EdgeInsets.all(6),
                      child: Icon(
                        Icons.refresh,
                        color: Colors.white,
                      ),
                    ),
                  )
          ],
        ),
      ),
    );
  }
}
