import 'package:flutter/material.dart';

class NavigationWidget extends StatelessWidget {
  final bool isActive;
  final Widget child;
  const NavigationWidget({Key key, this.isActive = false, @required this.child})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return TickerMode(
      enabled: isActive,
      child: Offstage(
        offstage: !isActive,
        child: child,
      ),
    );
  }
}
